#include "VOS_API/DX_VOS_MobileUtils.h"
#include "VOS_API/DX_VOS_String.h"
#define DX_IMSI                      "Dummy1234567890"
#define DX_DEVICE_MANUFACTURER_ID    "Discretix Inc"
#define DX_DEVICE_MODEL              "OMA DRM AGENT"
#define DX_DEVICE_VERSION            "V-2.0"

DxStatus DX_VOS_GetCurrentIMSI(DxChar* aBuff, DxUint_t aBuffSize)
{
	RETURN_VAR_STATUS(DX_VOS_StrNCopy(aBuff, aBuffSize, DX_IMSI));
}

DxStatus DX_VOS_GetDevManufacturerId(DxChar* aBuff, DxUint_t aBuffSize)
{
	RETURN_VAR_STATUS(DX_VOS_StrNCopy(aBuff, aBuffSize, DX_DEVICE_MANUFACTURER_ID));
}

DxStatus DX_VOS_GetDevModel(DxChar* aBuff, DxUint_t aBuffSize)
{
	RETURN_VAR_STATUS(DX_VOS_StrNCopy(aBuff, aBuffSize, DX_DEVICE_MODEL));
}

DxStatus DX_VOS_GetDevVersion(DxChar* aBuff, DxUint_t aBuffSize)
{
	RETURN_VAR_STATUS(DX_VOS_StrNCopy(aBuff, aBuffSize, DX_DEVICE_VERSION));
}
